

function PostGamemodeLoad()

	CreatePlayersMetaTable();
	
	Players:BaseInitialize();
	
	if( InitializedOnce ) then

		Players:Initialize();
		
	end
	
	game.ConsoleCommand( "exec banned_user.cfg" );
	game.ConsoleCommand( "exec banned_ip.cfg" );
	
end

function IncludeResourcesInFolder( dir, keyword )

	local files = file.FindInLua( ( GAMEMODE.Folder or "" ) .. "/content/" .. dir .. "*" );
	
	for k, v in pairs( files ) do

		if( string.find( v, "vmt" ) or string.find( v, "vtf" ) or string.find( v, "mdl" ) ) then
		
			if( keyword ) then
			
				if( string.find( v, keyword ) ) then
				
					resource.AddFile( dir .. v );
				
				end
			
			else
		
				resource.AddFile( dir .. v );
				
			end
		
		end
	
	end

end

